# ISimplePriceOracle

## Overview

#### License: MIT

```solidity
interface ISimplePriceOracle
```

## Events info

### PricePosted

```solidity
event PricePosted(address asset, uint256 previousPriceMantissa, uint256 requestedPriceMantissa, uint256 newPriceMantissa)
```

## Functions info

### getUnderlyingPrice (0xfc57d4df)

```solidity
function getUnderlyingPrice(address cToken) external view returns (uint256)
```

### setUnderlyingPrice (0x127ffda0)

```solidity
function setUnderlyingPrice(
    address cToken,
    uint256 underlyingPriceMantissa
) external
```

### setDirectPrice (0x09a8acb0)

```solidity
function setDirectPrice(address asset, uint256 price) external
```

### assetPrices (0x5e9a523c)

```solidity
function assetPrices(address asset) external view returns (uint256)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fringe.fi/v2-smart-contract-documentation/interfaces/isimplepriceoracle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
